lottie 3.1.0 copy "lottie: ^3.1.0" to clipboard
lottie: ^3.1.0 copied to clipboard

Render After Effects animations natively on Flutter. This package is a pure Dart implementation of a Lottie player.

example/lib/main.dart

import 'package:flutter/material.dart';
import 'package:lottie/lottie.dart';

void main() => runApp(const MyApp());

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        body: ListView(
          children: [
            // Load a Lottie file from your assets
            Lottie.asset('assets/LottieLogo1.json'),

            // Load a Lottie file from a remote url
            Lottie.network(
                'https://raw.githubusercontent.com/xvrh/lottie-flutter/master/example/assets/Mobilo/A.json'),

            // Load an animation and its images from a zip file
            Lottie.asset('assets/lottiefiles/angel.zip'),
          ],
        ),
      ),
    );
  }
}
3594
likes
140
pub points
100%
popularity

Publisher

verified publisherxaha.dev

Render After Effects animations natively on Flutter. This package is a pure Dart implementation of a Lottie player.

Repository (GitHub)
View/report issues

Documentation

API reference

Funding

Consider supporting this project:

www.buymeacoffee.com

License

MIT (LICENSE)

Dependencies

archive, flutter, http, path, vector_math

More

Packages that depend on lottie